Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class InternalConstants

    java.lang.Object
      org.apache.tapestry5.internal.InternalConstants

    public final class InternalConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `BASE_SUBPACKAGE`
`static java.lang.String` | `CANCEL_NAME` The element name for a submit input element used to cancel the form (rather than submit it normally).
`static java.lang.String` | `CHARSET_CONTENT_TYPE_PARAMETER`
`static java.lang.String` | `COMPONENTS_SUBPACKAGE`
`static java.lang.String` | `CONTAINER_PAGE_NAME` The name of a query parameter that stores the containing page (used in action links when the page containing the component is not the same as the page that was rendering).
`static java.lang.String` | `CONTENT_ENCODING_HEADER` Name of response header for content encoding.
`static java.lang.String` | `CONTENT_TYPE_ATTRIBUTE_NAME` Used in some Ajax scenarios to set the content type for the response early, when the Page instance (the authority on content types) is known.
`static java.lang.String` | `CORE_LIBRARY` Virtual folder name for the core library.
`static java.lang.String` | `CORE_STACK_NAME` Name of the core `JavaScriptStack`, which supplies the basic JavaScript infrastructure on the client.
`static java.lang.String` | `DISABLE_DEFAULT_MODULES_PARAM` Turns off loading of default modules (as driven by JAR file Manifest entries).
`static java.lang.String[]` | `EMPTY_STRING_ARRAY`
`static java.lang.String` | `EXPANSION_START` Identifies the start of an expansion inside a template.
`static java.lang.String` | `GRID_INPLACE_UPDATE` Name of event triggered by Grid sub-components when an in-place Grid is updated.
`static java.lang.String` | `GZIP_CONTENT_ENCODING` Response content encoding value indicating use of GZIP compression.
`static java.lang.String` | `IMMEDIATE_RESPONSE_PAGE_ATTRIBUTE` Request attribute that stores a `Page` instance that will be rendered as the immediate mode response.
`static java.lang.String` | `INHERIT_BINDING_PREFIX` Special prefix for parameters that are inherited from named parameters of their container.
`static java.lang.String` | `JSON_MIME_TYPE` Required MIME type for JSON responses.
`static java.lang.String` | `MIXINS_SUBPACKAGE`
`static java.lang.String` | `OBJECT_RENDER_DIV_SECTION`
`static java.lang.String` | `PAGE_CONTEXT_NAME` The name of the query parameter that stores the page activation context inside an action request.
`static java.lang.String` | `PAGES_SUBPACKAGE`
`static java.lang.String[]` | `SUBPACKAGES` The names of the standard controlled subpackages.
`static java.lang.String` | `SUPPRESS_COMPRESSION` Request attribute key; if non-null, then automatic GZIP compression of response stream is suppressed.
`static java.lang.String` | `TAPESTRY_APP_PACKAGE_PARAM` Init parameter used to identify the package from which application classes are loaded.
`static long` | `TEN_YEARS`

Constructor Summary
`InternalConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAPESTRY_APP_PACKAGE_PARAM

    public static final java.lang.String TAPESTRY_APP_PACKAGE_PARAM

  Init parameter used to identify the package from which application classes are loaded. Such classes are in the pages, components and mixins sub-packages.

  See Also:
    Constant Field Values

### DISABLE_DEFAULT_MODULES_PARAM

    public static final java.lang.String DISABLE_DEFAULT_MODULES_PARAM

  Turns off loading of default modules (as driven by JAR file Manifest entries).

  See Also:
    Constant Field Values

### PAGE_CONTEXT_NAME

    public static final java.lang.String PAGE_CONTEXT_NAME

  The name of the query parameter that stores the page activation context inside an action request.

  See Also:
    Constant Field Values

### GRID_INPLACE_UPDATE

    public static final java.lang.String GRID_INPLACE_UPDATE

  Name of event triggered by Grid sub-components when an in-place Grid is updated.

  See Also:
    Constant Field Values

### CONTAINER_PAGE_NAME

    public static final java.lang.String CONTAINER_PAGE_NAME

  The name of a query parameter that stores the containing page (used in action links when the page containing the component is not the same as the page that was rendering). The active page (the page which initiated the render) is encoded into the URL, and the containing page is tacked on as this query parameter.

  See Also:
    Constant Field Values

### OBJECT_RENDER_DIV_SECTION

    public static final java.lang.String OBJECT_RENDER_DIV_SECTION

See Also:
  Constant Field Values

### MIXINS_SUBPACKAGE

    public static final java.lang.String MIXINS_SUBPACKAGE

See Also:
  Constant Field Values

### COMPONENTS_SUBPACKAGE

    public static final java.lang.String COMPONENTS_SUBPACKAGE

See Also:
  Constant Field Values

### PAGES_SUBPACKAGE

    public static final java.lang.String PAGES_SUBPACKAGE

See Also:
  Constant Field Values

### BASE_SUBPACKAGE

    public static final java.lang.String BASE_SUBPACKAGE

See Also:
  Constant Field Values

### CONTENT_TYPE_ATTRIBUTE_NAME

    public static final java.lang.String CONTENT_TYPE_ATTRIBUTE_NAME

  Used in some Ajax scenarios to set the content type for the response early, when the Page instance (the authority on content types) is known. The value is of type `ContentType`.

  See Also:
    Constant Field Values

### CHARSET_CONTENT_TYPE_PARAMETER

    public static final java.lang.String CHARSET_CONTENT_TYPE_PARAMETER

See Also:
  Constant Field Values

### IMMEDIATE_RESPONSE_PAGE_ATTRIBUTE

    public static final java.lang.String IMMEDIATE_RESPONSE_PAGE_ATTRIBUTE

  Request attribute that stores a `Page` instance that will be rendered as the immediate mode response.

  See Also:
    Constant Field Values

### JSON_MIME_TYPE

    public static final java.lang.String JSON_MIME_TYPE

  Required MIME type for JSON responses. If this MIME type is not used, the client-side Prototype code will not recognize the response as JSON, and the Ajax.Response.responseJSON property will be null.

  See Also:
    Constant Field Values

### SUPPRESS_COMPRESSION

    public static final java.lang.String SUPPRESS_COMPRESSION

  Request attribute key; if non-null, then automatic GZIP compression of response stream is suppressed. This is useful when the code opening the response stream wants to explicitly control whether GZIP compression occurs or not.

  Since:
    5.1.0.0
  See Also:
    Constant Field Values

### CONTENT_ENCODING_HEADER

    public static final java.lang.String CONTENT_ENCODING_HEADER

  Name of response header for content encoding.

  Since:
    5.1.0.0
  See Also:
    Constant Field Values

### GZIP_CONTENT_ENCODING

    public static final java.lang.String GZIP_CONTENT_ENCODING

  Response content encoding value indicating use of GZIP compression.

  Since:
    5.1.0.0
  See Also:
    Constant Field Values

### EXPANSION_START

    public static final java.lang.String EXPANSION_START

  Identifies the start of an expansion inside a template.

  See Also:
    Constant Field Values

### INHERIT_BINDING_PREFIX

    public static final java.lang.String INHERIT_BINDING_PREFIX

  Special prefix for parameters that are inherited from named parameters of their container.

  See Also:
    Constant Field Values

### TEN_YEARS

    public static final long TEN_YEARS

### EMPTY_STRING_ARRAY

    public static final java.lang.String[] EMPTY_STRING_ARRAY

### CORE_STACK_NAME

    public static final java.lang.String CORE_STACK_NAME

  Name of the core `JavaScriptStack`, which supplies the basic JavaScript infrastructure on the client.

  Since:
    5.2.0
  See Also:
    Constant Field Values

### CORE_LIBRARY

    public static final java.lang.String CORE_LIBRARY

  Virtual folder name for the core library. The core library is special as any component not present in another library (including the application library) is searched for inside core.

  Since:
    5.3
  See Also:
    Constant Field Values

### SUBPACKAGES

    public static final java.lang.String[] SUBPACKAGES

  The names of the standard controlled subpackages.

  Since:
    5.3

### CANCEL_NAME

    public static final java.lang.String CANCEL_NAME

  The element name for a submit input element used to cancel the form (rather than submit it normally).

  Since:
    5.3
  See Also:
    Constant Field Values

Constructor Detail

### InternalConstants

    public InternalConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.